/**
* DevExtreme (ui/validation_group.d.ts)
* Version: 18.2.0 (build 18278)
* Build date: Fri Oct 05 2018
*
* Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxValidationGroup(): JQuery;
    dxValidationGroup(options: "instance"): DevExpress.ui.dxValidationGroup;
    dxValidationGroup(options: string): any;
    dxValidationGroup(options: string, ...params: any[]): any;
    dxValidationGroup(options: DevExpress.ui.dxValidationGroupOptions): JQuery;
}
}
export default DevExpress.ui.dxValidationGroup;
export type Options = DevExpress.ui.dxValidationGroupOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxValidationGroupOptions;