/**
 * DevExtreme (ui/html_editor/quill_importer.js)
 * Version: 18.2.0 (build 18278)
 * Build date: Fri Oct 05 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getQuill = void 0;
var _quill = require("quill");
var _quill2 = _interopRequireDefault(_quill);
var _ui = require("../widget/ui.errors");
var _ui2 = _interopRequireDefault(_ui);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}

function getQuill() {
    if (!_quill2.default) {
        throw _ui2.default.Error("E1041", "Quill")
    }
    return _quill2.default
}
exports.getQuill = getQuill;
